Subject: Re: [dhcwg] WGLC for draft-ietf-dhc-dhcpv6-stateful-issues-09 - Respond by December 12th, 2014

From: <[email-masked]>
Date: Fri, 12 Dec 2014 17:06:54 +0100

Hi,

A quick review of the document. Generally I think it’s in good shape and support it moving forward.  A couple of small comments from my review:

Section 1
Suggested re-word;
Old:
DHCPv6 [RFC3315] was not written with the expectation that additional stateful DHCPv6 options would be developed.
New:
DHCPv6 [RFC3315] was written without the expectation that additional stateful DHCPv6 options would be developed.

Section 4 Para 4
The behaviour of creating separate DHCP state machines is also listed as the first item in the issue with no reason given as to why it is a problem.
'multiple instances of the state machine in clients' could be replaced with 'additional host resources required to create/maintain multiple instances of the state machine in clients'.

Section 4.4.1
The content first paragraph seems at odds with the second and third paragraph.
Para 1 is about a limitation on how leases can be renewed, but then para 2 describes
extending the function of the renew message to also request bindings for other IAs
Para 3 then provides a solution for the problem in para 2, but nothing for the
problem described in para 1.
Suggest that Para 3 is updated to say that the Renew message would also be able to renew bindings that have been allocated via a Renew message.

One additional comment which I raised in Honolulu, is regarding RFC3633 and the 'NoBinding'
error message, sent to the client when a renew message
However, client behaviour on receipt of this message is not specified. It would seem
logical that this was interpreted by the client as a reset of its DHCP state machine.
Should this be dealt with in this document (it is a DHCP state issue), or should it go into the RFC3315-bis?

Cheers,
Ian

From: "Bernie Volz (volz)" <[email-masked]<mailto:[email-masked]>>
Date: Thursday, 11 December 2014 22:50
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [dhcwg] WGLC for draft-ietf-dhc-dhcpv6-stateful-issues-09 - Respond by December 12th, 2014

Final reminder – PLEASE Review!

-          Bernie

From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Friday, December 05, 2014 11:59 PM
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [dhcwg] WGLC for draft-ietf-dhc-dhcpv6-stateful-issues-09 - Respond by December 12th, 2014

Reminder regarding this WGLC. Please review.

>From the IETF-91 minutes (http://www.ietf.org/proceedings/91/minutes/minutes-91-dhc):

Asking for additional reviewers: Suresh Krishnan, Ted Lemon, Tim Winters and Tomek Mrugalski signed up.

-          Bernie

From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Wednesday, November 26, 2014 9:59 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [dhcwg] WGLC for draft-ietf-dhc-dhcpv6-stateful-issues-09 - Respond by December 12th, 2014

Hi all,

This message starts the DHC working group last call to advance "Issues and Recommendations with Multiple Stateful DHCPv6 Options”, draft-ietf-dhc-dhcpv6-stateful-issues-09.txt, document as a Standards Track (Proposed Standard) RFC. The authors believe that this version is ready.

The draft is available here:

http://tools.ietf.org/html/draft-ietf-dhc-dhcpv6-stateful-issues-09

Please send your comments by December 12th, 2014. If you do not feel this document should advance, please state your reasons why.

There are no IPR claims reported at this time.

Tomek is the assigned shepherd for this document.

- Tomek & Bernie

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 22 Dec 2014 21:04:38 +0000

Ian:

Thanks for your review. Marcin and I working through all of the review comments and following up where we aren't sure what the issue is.

Regarding your issue:

Section 4 Para 4

Marcin and I are confused by this as there is in this paragraph:

   Creating a separate DHCP session (separate instances of the client
   state machine) per IA option type, while conceptually simple, has a
   number of issues: multiple instances of the state machine in clients,
   additional DHCP protocol traffic, 'collisions' between other
   configuration options, divergence in that each IA option type
   specification specifies its 'own' version of the DHCP protocol.

While we plan to not address it (since this document isn't to solve all of the RFC 3315 issues), we are also a bit confused as to what the following issue is:

RFC 3315, 18.1.8. Receipt of Reply Messages, has:

   When the client receives a Reply message in response to a Renew or
   Rebind message, the client examines each IA independently.  For each
   IA in the original Renew or Rebind message, the client:

   -  sends a Request message if the IA contained a Status Code option
      with the NoBinding status (and does not send any additional
      Renew/Rebind messages)

So, doesn't this cover the NoBinding status case?  This is the Renew/Rebind with NoBinding, so it isn't clear what is missing?

Happy Holidays.

-          Bernie

From: [email-masked] [mailto:[email-masked]]
Sent: Friday, December 12, 2014 11:07 AM
To: Bernie Volz (volz); [email-masked]
Subject: Re: [dhcwg] WGLC for draft-ietf-dhc-dhcpv6-stateful-issues-09 - Respond by December 12th, 2014

Hi,

A quick review of the document. Generally I think it's in good shape and support it moving forward.  A couple of small comments from my review:

Section 1
Suggested re-word;
Old:

Section 4 Para 4

Section 4.4.1

Cheers,
Ian

Final reminder - PLEASE Review!

-          Bernie

-          Bernie

Hi all,

This message starts the DHC working group last call to advance "Issues and Recommendations with Multiple Stateful DHCPv6 Options", draft-ietf-dhc-dhcpv6-stateful-issues-09.txt, document as a Standards Track (Proposed Standard) RFC. The authors believe that this version is ready.

- Tomek & Bernie